org.eclipse.microprofile.opentracing.tck.application

## Class WildcardClassService

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.WildcardClassService

    @Path(value="/wildcard/{id}/foo")
    public class WildcardClassService
    extends Object

Author:
  Pavol Loffay

### Field Summary

Fields
`static String` `REST_FOO_PATH`
`static String` `REST_SERVICE_PATH`
`static String` `REST_TWO_IDS`

### Constructor Summary

Constructors
Constructor and Description
`WildcardClassService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `getFoo(String id, String name)`
`jakarta.ws.rs.core.Response` `getTwoParams(String id, String first, String second)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REST_SERVICE_PATH

    public static final String REST_SERVICE_PATH

See Also:
  Constant Field Values

#### REST_FOO_PATH

    public static final String REST_FOO_PATH

See Also:
  Constant Field Values

#### REST_TWO_IDS

    public static final String REST_TWO_IDS

See Also:
  Constant Field Values

### Constructor Detail

#### WildcardClassService

    public WildcardClassService()

### Method Detail

#### getFoo

    @GET
     @Path(value="/getFoo/{name}")
    public jakarta.ws.rs.core.Response getFoo(@PathParam(value="id")
                                                                                  String id,
                                                                                  @PathParam(value="name")
                                                                                  String name)

#### getTwoParams

    @GET
     @Path(value="/twoIds/{aaa: \\d+}/{bbb: \\w+}")
    public jakarta.ws.rs.core.Response getTwoParams(@PathParam(value="id")
                                                                                                         String id,
                                                                                                         @PathParam(value="aaa")
                                                                                                         String first,
                                                                                                         @PathParam(value="bbb")
                                                                                                         String second)